Page MenuHomePhabricator

InvalidDataException on OfficeWiki history page (Unbreak Now)
Closed, ResolvedPublic

Description

https://office.wikimedia.org/w/index.php?title=Talk:Facilities&action=history shows:

[9aa2d558] 2014-12-10 01:30:16: Fatal exception of type Flow\Exception\InvalidDataException

Event Timeline

Mattflaschen-WMF raised the priority of this task from to High.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF changed Security from none to None.
DannyH renamed this task from InvalidDataException on OfficeWiki history page to InvalidDataException on OfficeWiki history page (Unbreak Now).Jan 8 2015, 6:48 PM

So this turns out to have been a bug in our import process. It seems that we created the Workflow, but did not create the header that goes with it. I manually created the appropriate header as:

{{Wikitext talk page converted to Flow|archive=Talk:Facilities/Archive 1|date=2014-12-09}}

And now the history page works appropriately. The exception currently thrown should probably still be thrown, it happens when the Workflow exists and the history does not.

I'm still not sure how this happened originally, but unless it has happened to more than one page i'm not sure its worth spending more time to look into.

Ok turns out there are more, as linked in P136 above. I checked each of those individually, they all follow the same vein as the first two, they had sections with content, but no header. Somehow that resulted in the Workflow being written out but no header created.

I've manually fixed all of the linked pages, and tried locally to reproduce but it doesn't seem to trigger this error anymore. I created the P136 pastie, but i forget now how it came about. As it is no longer reproducable my best guess is we noticed this error and fixed it previously, but left the existing pages in an invalid state.

Quiddity closed this task as Resolved.Jan 28 2015, 7:43 PM